﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace _9269
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;

            LayerOverlay overlay = new LayerOverlay();
            overlay.TileType = TileType.MultipleTile;

            SqliteFeatureLayer sqlLayer = new SqliteFeatureLayer(@"Data Source=D:\LasVegas3857.sqlite;Version=3;Read Only=True;", "osm_water_polygon", "id", "geometry");

            sqlLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Water1;
            sqlLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = TextStyles.Water1("name");
            sqlLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            overlay.Layers.Add(sqlLayer);
            
            map.CurrentExtent = new RectangleShape(-12893479.6400715, 4418601.6524562, -12653773.7190087, 4246771.64271478);

            map.Overlays.Add(overlay);
            map.Refresh();
        }
    }
}
